# Makefile fragment for eetex and web2c. Public domain.
# This fragment contains the parts of the makefile that are most likely to
# differ between releases of eetex.

Makefile: $(srcdir)/eetexdir/eetex.mk

# The C sources.
eetex_c = eetexini.c eetex0.c eetex1.c eetex2.c eetex3.c eetex4.c
eetex_o = eetexini.o eetex0.o eetex1.o eetex2.o eetex3.o eetex4.o eetexextra.o

# Generation of the web and ch file.
eetex.web: tie tex.web eetexdir/eetexm.ch etexdir/etex.ch \
			 pdfetexdir/pdfetex.ch1 pdftexdir/pdftex.ch pdfetexdir/pdfetex.ch2 \
			 $(srcdir)/pdfetexdir/pdfetex.h $(srcdir)/pdfetexdir/pdfetex.defines
		./tie -m eetex.web $(srcdir)/tex.web $(srcdir)/etexdir/etex.ch \
				 $(srcdir)/pdfetexdir/pdfetex.ch1 \
				 $(srcdir)/pdftexdir/pdftex.ch \
				 $(srcdir)/pdfetexdir/pdfetex.ch2 \
				 $(srcdir)/eetexdir/eetexm.ch
eetex.ch: tie eetex.web tex.ch eetexdir/tex.ech tex-c-style.ch etexdir/tex.ech \
			pdfetexdir/tex.ch1 pdftexdir/tex.pch pdfetexdir/tex.ch2
		./tie -c eetex.ch eetex.web \
				 $(srcdir)/tex.ch  $(srcdir)/tex-c-style.ch $(srcdir)/etexdir/tex.ech \
				 $(srcdir)/pdfetexdir/tex.ch1 \
				 $(srcdir)/pdftexdir/tex.pch \
				 $(srcdir)/pdfetexdir/tex.ch2 \
				 $(srcdir)/eetexdir/tex.ech

$(srcdir)/eetexdir/eetex.h: $(srcdir)/pdftexdir/pdftex.h
	cp -f $< $@

$(srcdir)/eetexdir/eetex.defines: $(srcdir)/pdftexdir/pdftex.defines
	cp -f $< $@


# end of eetex.make
